probe::ioscheduler.elv_add_request.kp
Prev | Chapter 9. IO Scheduler and block IO Tapset | Next

## Name

probe::ioscheduler.elv_add_request.kp — kprobe based probe to indicate that a request was added to the request queue

## Synopsis

    ioscheduler.elv_add_request.kp

## Values

`elevator_name`

  The type of I/O elevator currently enabled

`name`

  Name of the probe point

`q`

  pointer to request queue

`disk_major`

  Disk major number of the request

`disk_minor`

  Disk minor number of the request

`rq`

  Address of the request

`rq_flags`

  Request flags

Prev | Up | Next
probe::ioscheduler.elv_add_request | Home | probe::ioscheduler.elv_add_request.tp